Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding.snapround
Class MCIndexPointSnapper

    java.lang.Object
      com.vividsolutions.jts.noding.snapround.MCIndexPointSnapper

    public class MCIndexPointSnapper

extends java.lang.Object

"Snaps" all `SegmentString`s in a `SpatialIndex` containing `MonotoneChain`s to a given `HotPixel`.

Version:
  1.7

Nested Class Summary
`class` | `MCIndexPointSnapper.HotPixelSnapAction`

Field Summary
`static int` | `nSnaps`

Constructor Summary
`MCIndexPointSnapper(java.util.Collection monoChains, SpatialIndex index)`

Method Summary
`boolean` | `snap(HotPixel hotPixel)`
`boolean` | `snap(HotPixel hotPixel, SegmentString parentEdge, int vertexIndex)` Snaps (nodes) all interacting segments to this hot pixel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nSnaps

    public static int nSnaps

Constructor Detail

### MCIndexPointSnapper

    public MCIndexPointSnapper(java.util.Collection monoChains,
                               SpatialIndex index)

Method Detail

### snap

    public boolean snap(HotPixel hotPixel,
                        SegmentString parentEdge,
                        int vertexIndex)

  Snaps (nodes) all interacting segments to this hot pixel. The hot pixel may represent a vertex of an edge, in which case this routine uses the optimization of not noding the vertex itself

  Parameters:
    `hotPixel` - the hot pixel to snap to
    `parentEdge` - the edge containing the vertex, if applicable, or `null`
    `vertexIndex` - the index of the vertex, if applicable, or -1
  Returns:
    `true` if a node was added for this pixel

### snap

    public boolean snap(HotPixel hotPixel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD